Package org.gradle.tooling.model.cpp

## Interface CppComponent

- All Known Subinterfaces:
    `CppApplication`, `CppLibrary`, `CppTestSuite`

      public interface CppComponent

  Represents a C++ component.
  Since:
    4.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBaseName()` | Returns the base name of this component.
    `DomainObjectSet<? extends CppBinary>` | `getBinaries()` | All binaries buildable for this component.
    `java.lang.String` | `getName()` | Returns the name of this component.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of this component. This is used to disambiguate the component of a project. Each component has a unique name within its project. However, these names are not unique across multiple projects.

    - #### getBinaries

          DomainObjectSet<? extends CppBinary> getBinaries()

      All binaries buildable for this component. These will implement `CppExecutable`, `CppSharedLibrary` or `CppStaticLibrary`.

    - #### getBaseName

          java.lang.String getBaseName()

      Returns the base name of this component.